<mat-accordion>
    <mat-expansion-panel [expanded]="true" hideToggle>
      <mat-expansion-panel-header>
        <mat-panel-title>
          Relatório
        </mat-panel-title>
        <mat-panel-description>
          <p>Relatório de registros de ponto</p>
        </mat-panel-description>
      </mat-expansion-panel-header>


      <div class="form-search">
        <form [formGroup]="form" (ngSubmit)="onSubmit()">
          <mat-form-field>
            <mat-form-field appearance="fill">
              <mat-label>Colaboradores</mat-label>
              <mat-select formControlName="collaborator" required>
                <mat-option *ngFor="let collaborator of collaborators" [value]="collaborator">
                  {{collaborator.name}}
                </mat-option>
              </mat-select>
              <mat-error *ngIf="form.touched && form.get('collaborator').hasError('required')">
                Selecione um colaborador</mat-error>
            </mat-form-field>
          </mat-form-field>
          <button mat-stroked-button color="primary" class="button-search">
              Buscar
          </button>
        </form>
    
      </div>

      <table mat-table #table matSort [dataSource]="dataSource" class="mat-elevation-z8">
        <!-- Name Column -->
        <ng-container matColumnDef="name">
          <th mat-header-cell *matHeaderCellDef>Nome</th>
          <td mat-cell *matCellDef="let element">{{ element.name }}</td>
        </ng-container>
  
        <!-- Weight Column -->
        <ng-container matColumnDef="date">
          <th mat-header-cell *matHeaderCellDef>Data do Registro</th>
          <td mat-cell *matCellDef="let element">{{ element.date |  date:"dd/MM/yyyy" }}</td>
        </ng-container>
  
        <!-- Weight Column -->
        <ng-container matColumnDef="hoursWorked">
          <th mat-header-cell *matHeaderCellDef>Horas Trabalhadas</th>
          <td mat-cell *matCellDef="let element">{{ element.hoursWorked | number }}</td>
        </ng-container>
  
        <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
        <tr mat-row *matRowDef="let row; columns: displayedColumns"></tr>
      </table>
      <mat-paginator #paginator 
                  [length]="totalRecords" 
                  [pageIndex]="pageIndex"
                  [pageSize]="pageSize"
                  [pageSizeOptions]="[5, 10, 20, 50, 100]"></mat-paginator>
    </mat-expansion-panel>
  </mat-accordion>
  